Skip to main content

Get all service requests

GEThttps://api.propexo.com/v1/service-requests/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external ID from the integration vendor

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_id string

The Propexo unique identifier for the unit

employee_id string

The Propexo unique identifier for the employee

vendor_id string

The Propexo unique identifier for the vendor

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

unit_number string

The unit number of the service request. When using this, the Propexo property_id filter must be added as well.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the service request

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Facilities Service ODEGet
    Example: c7piu53i5wb8vxv7zrhvak8nf
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Facilities Service ODEGet
    Example: 1000001
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for REALPAGE

    Example: null
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    InterfaceMethod
    Facilities Service ODEGet
    Example: 20001
    x_sub_task_idnullrequired

    The external ID of the sub task from the integration vendor

    Notice

    This field will always be null for REALPAGE

    Example: null
    access_is_authorizedboolean | nullnullablerequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    InterfaceMethod
    Facilities Service ODEGet
    Example: true
    access_notesstring | nullnullablerequired

    Notes regarding access to the unit associated with the service request

    InterfaceMethod
    Facilities Service ODEGet
    Example: Call before entering
    buildingstring | nullnullablerequired

    The building name associated with the service request

    InterfaceMethod
    Facilities Service ODEGet
    Example: 1
    completion_notesstring | nullnullablerequired

    Closing notes associated with the service request

    InterfaceMethod
    Facilities Service ODEGet
    Example: Replaced the faucet cartridge
    date_completedstring | nullnullablerequired

    The date the service request was completed

    InterfaceMethod
    Facilities Service ODEGet
    Example: 2024-05-14T16:45:00.000Z
    date_createdstring | nullnullablerequired

    The date the service request was created

    InterfaceMethod
    Facilities Service ODEGet
    Example: 2024-05-12T09:15:00.000Z
    date_duestring | nullnullablerequired

    The due date associated with the service request

    InterfaceMethod
    Facilities Service ODEGet
    Example: 2024-05-15T17:00:00.000Z
    date_schedulednullrequired

    The date the service request is scheduled

    Notice

    This field will always be null for REALPAGE

    Example: null
    notesstring | nullnullablerequireddeprecated

    DEPRECATED: Please use 'history' for reading notes regarding the service request

    InterfaceMethod
    Facilities Service ODEGet
    service_categorystring | nullnullablerequired

    The category of service request

    InterfaceMethod
    Facilities Service ODEGet
    Example: Plumbing
    service_descriptionnullrequired

    A description of the service request

    Notice

    This field will always be null for REALPAGE

    Example: null
    service_detailsstring | nullnullablerequired

    Details about the service request

    InterfaceMethod
    Facilities Service ODEGet
    Example: Kitchen faucet is dripping
    service_prioritynullrequired

    The priority level associated with the service request

    Notice

    This field will always be null for REALPAGE

    Example: null
    status_rawnullrequired

    The raw status associated with the service request

    Notice

    This field will always be null for REALPAGE

    Example: null
    vendor_notesnullrequired

    Vendor/technician notes associated with the service request

    Notice

    This field will always be null for REALPAGE

    Example: null
    unit_numbernullrequired

    The unit number associated with the service request. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases.

    Notice

    This field will always be null for REALPAGE

    Example: null
    order_numberstring | nullnullablerequired

    The order number of the service request

    InterfaceMethod
    Facilities Service ODEGet
    Example: 232-15
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum19required

    The property management system of record

    Show 13 enum values
    REALPAGEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: REALPAGE
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    InterfaceMethod
    Facilities Service ODEGet
    Example: c5iu5phxd242qklekbn5p1uzo
    employee_idnullrequired

    The Propexo unique identifier for the employee

    Notice

    This field will always be null for REALPAGE

    Example: null
    vendors object[]required

    List of vendor IDs associated with the service request

    Notice

    This field is not currently hydrated for REALPAGE

  • Array [
  • vendor_idstringrequired
  • ]
  • history object[]required

    History of notes and/or updates related to the service request

  • Array [
  • idstringrequired

    The Propexo unique identifier for the service request history

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Facilities Service ODEGet
    Example: cazhswsgb0ew0j9ka71mzf6ws
    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    InterfaceMethod
    Facilities Service ODEGet
    Example: 2024-05-01T15:30:00.000Z
    notesstringrequired

    Notes describing the service request history

    InterfaceMethod
    Facilities Service ODEGet
    Example: Technician replaced the faucet cartridge
    creator_namestring | nullnullablerequired

    The name of the person or user that created the service request history

    InterfaceMethod
    Facilities Service ODEGet
    Example: Alex Morgan
    status_rawstring | nullnullablerequired

    The raw status from the service request history

    InterfaceMethod
    Facilities Service ODEGet
    Example: Completed
    service_request_idstringrequired

    The Propexo unique identifier for the service request

    InterfaceMethod
    Facilities Service ODEGet
    Example: cdb0gqf1fwl6ommiuwqzpf6fp
  • ]
  • employees object[]required
    Notice

    This field is not currently hydrated for REALPAGE

  • Array [
  • idstringrequired

    The Propexo unique identifier for the employee

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    namestring | nullnullablerequired

    The name associated with the employee

    Notice

    This field is not currently hydrated for REALPAGE

  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/service-requests/
curl https://api.propexo.com/v1/service-requests/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "c7piu53i5wb8vxv7zrhvak8nf",
"x_property_id": "1000001",
"x_location_id": null,
"x_unit_id": "20001",
"x_sub_task_id": null,
"access_is_authorized": true,
"access_notes": "Call before entering",
"building": "1",
"completion_notes": "Replaced the faucet cartridge",
"date_completed": "2024-05-14T16:45:00.000Z",
"date_created": "2024-05-12T09:15:00.000Z",
"date_due": "2024-05-15T17:00:00.000Z",
"date_scheduled": null,
"service_category": "Plumbing",
"service_description": null,
"service_details": "Kitchen faucet is dripping",
"service_priority": null,
"status_raw": null,
"vendor_notes": null,
"unit_number": null,
"order_number": "232-15",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "c5iu5phxd242qklekbn5p1uzo",
"employee_id": null,
"vendors": [
{
"vendor_id": "string"
}
],
"history": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cazhswsgb0ew0j9ka71mzf6ws",
"x_created_at": "2024-05-01T15:30:00.000Z",
"notes": "Technician replaced the faucet cartridge",
"creator_name": "Alex Morgan",
"status_raw": "Completed",
"service_request_id": "cdb0gqf1fwl6ommiuwqzpf6fp"
}
],
"employees": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"name": "string"
}
]
}
]
}